# OpenLayers.Filter.Logical

This class represents ogc:And, ogc:Or and ogc:Not rules.

Inherits from

- OpenLayers.Filter

Summary

OpenLayers.Filter.Logical | This class represents ogc:And, ogc:Or and ogc:Not rules.
Properties |
filters | {Array(OpenLayers.Filter)} Child filters for this filter.
type |
Constructor |
OpenLayers.Filter.Logical | Creates a logical filter (And, Or, Not).
Functions |
destroy | Remove reference to child filters.
evaluate | Evaluates this filter in a specific context.
clone | Clones this filter.

### Properties

### filters

{Array(OpenLayers.Filter)} Child filters for this filter.

### type

#### {String} type of logical operator. Available types are

- OpenLayers.Filter.Logical.AND = “&&”;
- OpenLayers.Filter.Logical.OR = “||”;
- OpenLayers.Filter.Logical.NOT = “!”;

### Constructor

### OpenLayers.Filter.Logical

Creates a logical filter (And, Or, Not).

#### Parameters

options | {Object} An optional object with properties to set on the filter.

#### Returns

{OpenLayers.Filter.Logical}

### Functions

### destroy

> destroy: function()

Remove reference to child filters.

### evaluate

> evaluate: function( | context | )

Evaluates this filter in a specific context.

#### Parameters

context | {Object} Context to use in evaluating the filter. A vector feature may also be provided to evaluate feature attributes in comparison filters or geometries in spatial filters.

#### Returns

{Boolean} The filter applies.

### clone

> clone: function()

Clones this filter.

#### Returns

{OpenLayers.Filter.Logical} Clone of this filter.

This class represents an OGC Filter.

> destroy: function()

Remove reference to child filters.

> evaluate: function( | context | )

Evaluates this filter in a specific context.

> clone: function()

Clones this filter.
Creates a logical filter (And, Or, Not).
Close